package com.ruoyi.interfaces.domain;

import java.io.Serializable;
import java.util.Date;

public class PtChart implements Serializable {
    private String code;

    private String title;

    private String type;

    private String url;

    private String method;

    private String thumb;

    private String status;

    private String supply;

    private String pubUser;

    private Date pubTime;

    private String note;

    private  String component;

    private String chartMess;

    private String cateCode;

    private String cateSeries;

    public String getCateSeries() {
        return cateSeries;
    }

    public void setCateSeries(String cateSeries) {
        this.cateSeries = cateSeries;
    }

    public String getCateCode() {
        return cateCode;
    }

    public void setCateCode(String cateCode) {
        this.cateCode = cateCode;
    }

    public String getChartMess() {
        return chartMess;
    }

    public void setChartMess(String chartMess) {
        this.chartMess = chartMess;
    }

    private static final long serialVersionUID = 1L;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method == null ? null : method.trim();
    }

    public String getThumb() {
        return thumb;
    }

    public void setThumb(String thumb) {
        this.thumb = thumb == null ? null : thumb.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getSupply() {
        return supply;
    }

    public void setSupply(String supply) {
        this.supply = supply == null ? null : supply.trim();
    }

    public String getPubUser() {
        return pubUser;
    }

    public void setPubUser(String pubUser) {
        this.pubUser = pubUser == null ? null : pubUser.trim();
    }

    public Date getPubTime() {
        return pubTime;
    }

    public void setPubTime(Date pubTime) {
        this.pubTime = pubTime;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getComponent() {
        return component;
    }

    public void setComponent(String component) {
        this.component = component;
    }

    @Override
    public String toString() {
        return "PtChart{" +
                "code='" + code + '\'' +
                ", title='" + title + '\'' +
                ", type='" + type + '\'' +
                ", url='" + url + '\'' +
                ", method='" + method + '\'' +
                ", thumb='" + thumb + '\'' +
                ", status='" + status + '\'' +
                ", supply='" + supply + '\'' +
                ", pubUser='" + pubUser + '\'' +
                ", pubTime=" + pubTime +
                ", note='" + note + '\'' +
                ", component='" + component + '\'' +
                ", chartMess='" + chartMess + '\'' +
                ", cateCode='" + cateCode + '\'' +
                '}';
    }
}
